package com.pmigroup.test.init;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Map;

import javax.ejb.Stateless;

/**
 * Session Bean implementation class FwrkInitializer
 */
@Stateless
public class FwrkInitializer implements IFwrkInitializerLocal {

    /**
     * Default constructor. 
     */
    public FwrkInitializer() {
        // TODO Auto-generated constructor stub
    }

	@SuppressWarnings({ "rawtypes", "unchecked" })
	@Override
	public void initializeClass(String className, String initClassParam) {
		
		
		try {
			Class initClass = Class.forName(className.trim());
			
			//Find the initialize method on the class
			Method initializeMethod = initClass.getMethod("initialize",
					new Class[] { String.class });
			Object instance = initClass.newInstance();
			//Call the initialize method on the class
			//We do not expect any return
			Object[] args = new Object[] {initClassParam};
			initializeMethod.invoke(instance, args);
		} catch (ClassNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (SecurityException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (NoSuchMethodException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (InstantiationException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IllegalArgumentException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (InvocationTargetException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

}
